<?php

    $cmb = new_cmb2_box( array(
        'id'            => 'user_options',
        'title'         => esc_html__( 'User Options', 'aigen' ),
        'object_types'  => array( 'user'), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
        
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Facebook', 'aigen' ),
        'desc'     => esc_html__( 'Add your facebook profile link here', 'aigen' ),
        'id'         => $prefix . 'facebook_link',
        'type'       => 'text',
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Twitter', 'aigen' ),
        'desc'     => esc_html__( 'Add your twitter profile link here', 'aigen' ),
        'id'         => $prefix . 'twitter_link',
        'type'       => 'text',
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Linkedin', 'aigen' ),
        'desc'     => esc_html__( 'Add your linkedin profile link here', 'aigen' ),
        'id'         => $prefix . 'linkedin_link',
        'type'       => 'text',
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Pinterest', 'aigen' ),
        'desc'     => esc_html__( 'Add your pinterest profile link here', 'aigen' ),
        'id'         => $prefix . 'pinterest_link',
        'type'       => 'text',
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Instagram', 'aigen' ),
        'desc'     => esc_html__( 'Add your instagram profile link here', 'aigen' ),
        'id'         => $prefix . 'instagram_link',
        'type'       => 'text',
    ) );