<?php 

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');
$linkedin = get_theme_mod('linkedin');
$instagram = get_theme_mod('instagram');
$google = get_theme_mod('google');
$youtube = get_theme_mod('youtube');
$pinterest = get_theme_mod('pinterest');
$dribble = get_theme_mod('dribble');
$github = get_theme_mod('github');

$facebook2 = get_theme_mod('facebook2');
$twitter2 = get_theme_mod('twitter2');
$linkedin2 = get_theme_mod('linkedin2');
$instagram2 = get_theme_mod('instagram2');
$google2 = get_theme_mod('google2');
$youtube2 = get_theme_mod('youtube2');
$pinterest2 = get_theme_mod('pinterest2');
$dribble2 = get_theme_mod('dribble2');
$github2 = get_theme_mod('github2');

?>
         
<!-- footer 
	================================================== -->
<footer>

    <?php
        if ( true == get_theme_mod( 'switch_instagram' ) ) :
            echo do_shortcode('[instagram-feed imageres=full]');
        endif;

        if ( true == get_theme_mod( 'switch_socials' ) ) :
    ?>

    <!-- social list -->
    <ul class="social-list">
        <?php 
            if ($facebook2 != '') { ?>
                <li><a href="<?php echo $facebook2; ?>">
                    <i class="fab fa-facebook-f"></i>
                    <?php esc_html_e('Facebook', 'aigen'); ?>
                </a></li>
            <?php }

            if ($twitter2 != '') { ?>
                <li><a href="<?php echo $twitter2; ?>">
                    <i class="fab fa-twitter"></i>
                    <?php esc_html_e('Twitter', 'aigen'); ?>
                </a></li>
            <?php }

            if ($linkedin2 != '') { ?>
                <li><a href="<?php echo $linkedin2; ?>">
                    <i class="fab fa-linkedin-in"></i>
                    <?php esc_html_e('Linkedin', 'aigen'); ?>
                </a></li>
            <?php }

            if ($instagram2 != '') { ?>
                <li><a href="<?php echo $instagram2; ?>">
                    <i class="fab fa-instagram"></i>
                    <?php esc_html_e('Instagram', 'aigen'); ?>
                </a></li>
            <?php } 

            if ($google2 != '') { ?>
                <li><a href="<?php echo $google2; ?>">
                    <i class="fab fa-google-plus-g"></i>
                    <?php esc_html_e('Google', 'aigen'); ?>
                </a></li>
            <?php } 

            if ($youtube2 != '') { ?>
                <li><a href="<?php echo $youtube2; ?>">
                    <i class="fab fa-youtube"></i>
                    <?php esc_html_e('Youtube', 'aigen'); ?>
                </a></li>
            <?php } 

            if ($pinterest2 != '') { ?>
                <li><a href="<?php echo $pinterest2; ?>">
                    <i class="fab fa-pinterest-p"></i>
                    <?php esc_html_e('Pinterest', 'aigen'); ?>
                </a></li>
            <?php } 

            if ($dribble2 != '') { ?>
                <li><a href="<?php echo $dribble2; ?>">
                    <i class="fab fa-dribbble"></i>
                    <?php esc_html_e('Dribble', 'aigen'); ?>
                </a></li>
            <?php } 

            if ($github2 != '') { ?>
                <li><a href="<?php echo $github2; ?>">
                    <i class="fab fa-github"></i>
                    <?php esc_html_e('Github', 'aigen'); ?>
                </a></li>
            <?php } 
        ?>
    </ul>
    <!-- end social list -->
    
    <?php
        endif;
    ?>

    <!-- widget area part -->
    <div class="widget-area-part">

        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                        
                    <?php if ( is_active_sidebar('sidebar-footer-1') ) {
                            dynamic_sidebar('sidebar-footer-1');
                    }; ?>
                    <ul class="social-icons">
                        <?php
                            if ($linkedin != '') { ?>
                                <li><a href="<?php echo $linkedin; ?>"><i class="fab fa-linkedin-in"></i></a></li>
                            <?php }

                            if ($twitter != '') { ?>
                                <li><a href="<?php echo $twitter; ?>"><i class="fab fa-twitter"></i></a></li>
                            <?php }

                            if ($facebook != '') { ?>
                                <li><a href="<?php echo $facebook; ?>"><i class="fab fa-facebook-f"></i></a></li>
                            <?php }

                            if ($instagram != '') { ?>
                                <li><a href="<?php echo $instagram; ?>"><i class="fab fa-instagram"></i></a></li>
                            <?php } 

                            if ($google != '') { ?>
                                <li><a href="<?php echo $google; ?>">
                                    <i class="fab fa-google-plus-g"></i>
                                </a></li>
                            <?php } 
                
                            if ($youtube != '') { ?>
                                <li><a href="<?php echo $youtube; ?>">
                                    <i class="fab fa-youtube"></i>
                                </a></li>
                            <?php } 
                
                            if ($pinterest != '') { ?>
                                <li><a href="<?php echo $pinterest; ?>">
                                    <i class="fab fa-pinterest-p"></i>
                                </a></li>
                            <?php } 
                
                            if ($dribble != '') { ?>
                                <li><a href="<?php echo $dribble; ?>">
                                    <i class="fab fa-dribbble"></i>
                                </a></li>
                            <?php } 
                
                            if ($github != '') { ?>
                                <li><a href="<?php echo $github; ?>">
                                    <i class="fab fa-github"></i>
                                </a></li>
                            <?php } 
                        ?>
                    </ul>
                </div>
                <div class="col-lg-4 col-md-6"> 
                    
                    <?php if ( is_active_sidebar('sidebar-footer-2') ) {
                                dynamic_sidebar('sidebar-footer-2');
                    }; ?>
                </div>
                <div class="col-lg-4 col-md-6">
                    <?php if ( is_active_sidebar('sidebar-footer-3') ) {
                                dynamic_sidebar('sidebar-footer-3');
                    }; ?>
                </div>
            </div>
        </div>

    </div>
    <!-- end widget area part -->

    <!-- down part -->
    <div class="down-part">
        <div class="container">
            <p>
                <span>
                    
                    <?php 
                        $copyright = get_theme_mod('copyright');
                        if ($copyright != '') {
                           echo esc_html($copyright);
                        } else {
                            esc_html_e('Copyright &copy; aigen.', 'aigen');
                        }
                    ?>
                </span>
                <a href="#" class="go-top">
                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 104.59 141.72" style="enable-background:new 0 0 104.59 141.72;" xml:space="preserve">
                        <g>
                            <path d="M55.66,1.39l47.54,47.54c1.36,1.36,1.76,3.39,1.03,5.18c-0.73,1.78-2.47,2.94-4.39,2.94H76.06v84.67h-9.51V52.3
                                c0-2.62,2.13-4.75,4.75-4.75h17.05L52.29,11.48L16.23,47.54h17.05c2.62,0,4.75,2.13,4.75,4.75v89.42h-9.51V57.05H4.75
                                c-1.92,0-3.66-1.16-4.39-2.94C0.11,53.52,0,52.9,0,52.3c0-1.23,0.48-2.45,1.4-3.37L48.94,1.39C50.79-0.46,53.8-0.46,55.66,1.39z"/>
                        </g>
                    </svg>
                    <svg version="1.1" class="hover-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                        viewBox="0 0 104.59 141.72" style="enable-background:new 0 0 104.59 141.72;" xml:space="preserve">
                        <g>
                            <path d="M55.66,1.39l47.54,47.54c1.36,1.36,1.76,3.39,1.03,5.18c-0.73,1.78-2.47,2.94-4.39,2.94H76.06v84.67h-9.51V52.3
                                c0-2.62,2.13-4.75,4.75-4.75h17.05L52.29,11.48L16.23,47.54h17.05c2.62,0,4.75,2.13,4.75,4.75v89.42h-9.51V57.05H4.75
                                c-1.92,0-3.66-1.16-4.39-2.94C0.11,53.52,0,52.9,0,52.3c0-1.23,0.48-2.45,1.4-3.37L48.94,1.39C50.79-0.46,53.8-0.46,55.66,1.39z"/>
                        </g>
                    </svg>
                </a>
            </p>
        </div>
    </div>
    <!-- end down part -->

</footer>
<!-- End footer -->