<div class="article-post">
    <?php if ( has_post_thumbnail() ) { ?>
        <div class="image-holder">
            <a href="<?php the_permalink(); ?>">
                <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="">
            </a>
        </div>
    <?php } ?>
    <div class="content-holder">
        <ul class="post-meta">
            <li><a href="<?php echo get_comments_link(); ?>">
                <i class="fas fa-comment-dots"></i>
                <?php 
                    comments_number( 
                        esc_html__('0 Comments','aigen'),
                        esc_html__('1 Comment','aigen'),
                        esc_html__('% Comments','aigen'), '', 
                        esc_html__('Comment off','aigen')
                    ); 
                ?>
            </a></li>
            <li>
                <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"
                    title="<?php echo esc_attr( get_the_author() ); ?>">
                    <i class="far fa-user"></i>
                    <?php the_author(); ?>
                </a>
            </li>
        </ul>
        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <a href="<?php the_permalink(); ?>" class="button-one"><?php esc_html_e('read more', 'aigen') ?></a>
    </div>
</div>