<div class="standard-post2 skin-post">
    <?php if ( has_post_thumbnail() ) { ?>
        <a href="<?php the_permalink(); ?>">
            <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="">
        </a>
    <?php } ?>
    <div class="post-content">
        <ul class="post-meta">
            <li><a href="<?php echo get_comments_link(); ?>">
                <i class="fas fa-comment-dots"></i>
                <?php 
                    comments_number( 
                        esc_html__('0 Comments','aigen'),
                        esc_html__('1 Comment','aigen'),
                        esc_html__('% Comments','aigen'), '', 
                        esc_html__('Comment off','aigen')
                    ); 
                ?>
            </a></li>
            <li>
                <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"
                    title="<?php echo esc_attr( get_the_author() ); ?>">
                    <i class="far fa-user"></i>
                    <?php the_author(); ?>
                </a>
            </li>
        </ul>
        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
        <p><?php echo aigen_excerpt($limit = 20); ?></p>
    </div>
</div>