<!-- recent-section 
================================================== -->
<section class="recent-section">

    <div class="container">
        <div class="row  <?php if( block_value('sidebar') == 'left' ) { echo 'reverse-order'; } ?>">

        <?php if( ( block_value('sidebar') == 'left' || block_value('sidebar') == 'right' ) && is_active_sidebar('sidebar') ){ ?>
            <div class="col-lg-8">
            <?php }else{ ?>
            <div class="col-lg-12 no-sidebar">
            <?php } ?>

                <?php
                    if(block_value('title')) { ?>
                        <div class="title-wrapper <?php if( block_value('title-white-color') ) { echo 'white-style'; } ?>">
                            <h2 <?php if( block_value('hide-icon-before-title') ) { echo 'class="no-dottes"'; } ?> >
                                <?php block_field('title'); ?>
                            </h2>
                        </div>
                    <?php }
                ?>
                <div class="recent-box iso-call col<?php block_field('colums-number'); ?>">

                    <?php 
                        
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

                        $args = array(
                            'posts_per_page'      => block_value('posts-number'),
                            'post_type'           => 'post',
                            'ignore_sticky_posts' => true,
                            'order'               => block_value('sort-posts'),
                            'paged'               => $paged
                        );
                
                        // Display from the most commented
                        if ( block_value('display-fields') == 'comments' ) {
                            $args['orderby'] = 'comment_count';
                        }
                
                        // Display from the most popular
                        if ( block_value('display-fields') == 'popular' ) {
                            $args['meta_key'] = 'post_views_count';
                            $args['orderby'] = 'meta_value_num';
                        }
                
                        // Display from the categorys selected
                        if ( block_value('category') ) {
                            $args[ 'tax_query' ] = array(
                                array(
                                    'taxonomy' => 'category',
                                    'field'    => 'slug',
                                    'terms'    => block_value('category'),
                                ),
                            );
                        }
                
                        // Display from the tags selected
                        if ( block_value('tag')) {
                            $args['tag'] = block_value('tag');
                        }
                
                        // Display from the tags selected
                        if ( block_value('custom-posts')) {
                            $postsArray = explode(',', block_value('custom-posts') );
                            
                            $postsCustom = array_values($postsArray);
                            
                
                            $args['post__in'] = $postsCustom;
                        }

                        $query = new \WP_Query($args);

                        if ( $query->have_posts() ) {
                            while ( $query->have_posts() ) {
                                $query->the_post(); ?>
                                <div class="item">
                                    <?php
                                        get_template_part( 'template-parts/post-layouts/'. block_value('post-style') );
                                    ?>
                                </div>
                            <?php }
                        } 
                    ?>

                </div>

                <?php 

                    if(block_value('page-pagination') == 'pagination') {

                        fabric_paging_navigation($query);

                    } elseif( block_value('page-pagination') == 'load_more' ) {
                        // don't display the button if there are not enough posts
                        if (  $query->max_num_pages > 1 ) : ?>
                            <div class="aigen_loadmore" 
                                data-layout="<?php block_field('post-style'); ?>"
                                data-post-num="<?php block_field('posts-number'); ?>"
                                data-order="<?php block_field('sort-posts'); ?>"
                                data-category="<?php block_field('category'); ?>"
                                data-tag="<?php block_field('tag'); ?>"
                                data-comment="<?php if ( block_value('display-fields') == 'comments' ) { echo 'yes'; } ?>"
                                data-popular="<?php if ( block_value('display-fields') == 'popular' ) { echo 'yes'; } ?>"
                                data-custom="<?php block_field('custom-posts'); ?>">
                                <?php esc_html_e('load more', 'aigen'); ?>
                            </div>
                            <?php
                        endif;
                    } elseif( block_value('page-pagination') == 'infinite_scroll') { ?>
                        <div class="aigen_loadmore infinite-box" 
                            data-layout="<?php block_field('post-style'); ?>"
                            data-post-num="<?php block_field('posts-number'); ?>"
                            data-order="<?php block_field('sort-posts'); ?>"
                            data-category="<?php block_field('category'); ?>"
                            data-tag="<?php block_field('tag'); ?>"
                            data-comment="<?php if ( block_value('display-fields') == 'comments' ) { echo 'yes'; } ?>"
                            data-popular="<?php if ( block_value('display-fields') == 'popular' ) { echo 'yes'; } ?>"
                            data-custom="<?php block_field('custom-posts'); ?>">
                        </div>
                    <?php }
                        
                    wp_reset_postdata();
                ?>




            </div>
            <?php if( ( block_value('sidebar') == 'left' || block_value('sidebar') == 'right' ) && is_active_sidebar('sidebar') ){ ?>
                <div class="col-lg-4">
                    
                    <?php get_sidebar(); ?>

                </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- End recent section -->