<!-- block-section 
================================================== -->
<section class="block-section">

    <div class="container">
        <?php
            if(block_value('title')) { ?>
                <div class="title-wrapper <?php if( block_value('title-white-color') ) { echo 'white-style'; } ?>">
                    <h2 <?php if( block_value('hide-icon-before-title') ) { echo 'class="no-dottes"'; } ?> >
                        <?php block_field('title'); ?>
                    </h2>
                </div>
            <?php }
        ?>
        <div class="block-wrapp">
            
            <ul class="filter-block">
                <?php 
                    
                $postsArray = explode(',', block_value('categories') );
                $filterArray = array_values($postsArray);
                
                foreach( $filterArray as $item ) { 
                    $category = get_term_by( 'slug', $item, 'category' );
                    ?>
                    <li>
                        <a href="#" data-cat="<?php echo $category->term_id; ?>"><?php echo $item; ?></a>
                    </li>
                <?php } ?>
            </ul>

            <form action="<?php echo site_url() ?>/wp-admin/admin-ajax.php" method="POST" id="filter">
                <select id="categoryfilter" name="categoryfilter">
                    <option value="">Select category...</option>
                </select>
                <input type="hidden" name="action" value="myfilter">
            </form>
            
            <div class="white-box-wrapper" id="response">

            <?php 
                $args = array(
                    'posts_per_page'      => block_value('posts-number'),
                    'post_type'           => 'post',
                    'ignore_sticky_posts' => true,
                    'order'               => block_value('sort-posts'),
                );

                $query = new WP_Query($args);

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post();
                        get_template_part( 'template-parts/post-layouts/card-post' );
                    }

                    \wp_reset_postdata();
                } 
            ?>

            </div>
			<div class="upp-overlay"></div>

        </div>
    </div>
</section>
<!-- End block section --> 