<?php


$cmb = new_cmb2_box( array(
    'id'            => 'page_options',
    'title'         => esc_html__( 'Page Settings', 'aigen' ),
    'object_types'  => array( 'page' ), // Post type
    'context'       => 'normal',
    'priority'      => 'high',
    'show_names'    => true, // Show field names on the left
    
) );

$cmb->add_field( array(
    'name'       => esc_html__( 'Header Layout Style', 'aigen' ),
    'id'         => $prefix . 'header_layout',
    'type'       => 'select',
    'default'          => 'standard',
    'options'          => array(
        'standard' => esc_html__( 'Standard', 'cmb2' ),
        'standard2'   => esc_html__( 'Standard Fullwidth', 'cmb2' ),
        'transparent'     => esc_html__( 'Transparent White', 'cmb2' ),
        'background_color'     => esc_html__( 'Background Theme Color', 'cmb2' ),
    ),
) );

$cmb->add_field( array(
    'name'       => esc_html__( 'Footer Layout Style', 'aigen' ),
    'id'         => $prefix . 'footer_layout',
    'type'       => 'select',
    'default'          => 'standard',
    'options'          => array(
        'standard' => esc_html__( 'Standard', 'cmb2' ),
        'alternative'   => esc_html__( 'Alternative', 'cmb2' ),
    ),
) );