<?php

    $cmb = new_cmb2_box( array(
        'id'            => 'post_options',
        'title'         => esc_html__( 'Post Options', 'aigen' ),
        'object_types'  => array( 'post', ), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
        
    ) );

    $cmb->add_field( array(
        'name'       => esc_html__( 'Select Post Format Layout', 'aigen' ),
        'id'         => $prefix . 'post_layout',
        'type'       => 'select',
        'default'          => 'standard',
        'options'          => array(
            'standard' => esc_html__( 'Standard', 'cmb2' ),
            'standard2'   => esc_html__( 'Standard with image under the title', 'cmb2' ),
            'fullwidth'     => esc_html__( 'Full Image', 'cmb2' ),
            'fullscreen'     => esc_html__( 'Full Image with transparent Header', 'cmb2' ),
        ),
    ) );
