<?php

// Scripts
function aigen_scripts_files() {

    
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');
    wp_enqueue_style( 'fontawesome', get_template_directory_uri().'/assets/css/fontawesome.min.css');
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/assets/css/owl.carousel.css');
    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'/assets/css/owl.theme.css');
    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'/assets/css/flexslider.css');
    
	wp_enqueue_style( 'aigen-default', get_template_directory_uri().'/assets/css/style.css');
    wp_enqueue_style('aigen', get_stylesheet_uri());
    
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {

      // enqueue the javascript that performs in-link comment reply fanciness
      wp_enqueue_script( 'comment-reply' ); 
  
    }

    wp_enqueue_script('masonry');
    wp_enqueue_script('isotope', get_template_directory_uri().'/assets/js/jquery.isotope.min.js',array('jquery'),false,true);
    wp_enqueue_script('owl-carousel', get_template_directory_uri().'/assets/js/owl.carousel.min.js',array('jquery'),false,true);
    wp_enqueue_script('bootstrap', get_template_directory_uri().'/assets/js/bootstrap.min.js',array('jquery'),false,true);
    wp_enqueue_script('flexslider', get_template_directory_uri().'/assets/js/jquery.flexslider.js',array('jquery'),false,true);
    
    if ( defined( 'ELEMENTOR_VERSION' ) ) {

        wp_enqueue_script( 'aigen-elementor', get_template_directory_uri().'/assets/js/elementor-frontend.js', array( 'jquery' ), '1.0', true );
    
    }
    wp_enqueue_script('aigen-script', get_template_directory_uri().'/assets/js/script.js',array('jquery'),false,true);
    
}
add_action('wp_enqueue_scripts', 'aigen_scripts_files');

// Scripts
function aigen_editor_files() {

    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');
    wp_enqueue_style( 'fontawesome', get_template_directory_uri().'/assets/css/fontawesome.min.css');
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/assets/css/owl.carousel.css');
    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'/assets/css/owl.theme.css');
    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'/assets/css/flexslider.css');
	wp_enqueue_style( 'aigen-default', get_template_directory_uri().'/assets/css/style.css');
    wp_enqueue_style('aigen', get_stylesheet_uri());
    wp_enqueue_script('masonry');
    wp_enqueue_script('isotope', get_template_directory_uri().'/assets/js/jquery.isotope.min.js',array('jquery'),false,true);
    wp_enqueue_script('owl-carousel', get_template_directory_uri().'/assets/js/owl.carousel.min.js',array('jquery'),false,true);
    wp_enqueue_script('bootstrap', get_template_directory_uri().'/assets/js/bootstrap.min.js',array('jquery'),false,true);
    wp_enqueue_script('flexslider', get_template_directory_uri().'/assets/js/jquery.flexslider.js',array('jquery'),false,true);
    wp_enqueue_script('aigen-script', get_template_directory_uri().'/assets/js/script.js',array('jquery'),false,true);
    
}
add_action('enqueue_block_editor_assets', 'aigen_editor_files');