<?php 


/**
 * Display custom color CSS.
 */
function aigen_colors_css_wrap() {
  global  $wp_query;
  $main_color = get_theme_mod( 'main_color','#6228b1');
  $main_color2 = get_theme_mod( 'main_color2','#eb4034');
  $heading_color = get_theme_mod( 'heading_color','#55558b');
  $text_color = get_theme_mod( 'text_color','#55558b');
  $sky_color = get_theme_mod( 'sky_color','#edf8ff');
  $trans_color = get_theme_mod( 'trans_color','rgba(98, 40, 177, 0.8)');
  $logo_dimensions = get_theme_mod('logo_dimensions');
  $image_radius = get_theme_mod('image_radius', '5px');
  $box_radius = get_theme_mod('box_radius', '5px');
?>

<style type="text/css" id="custom-theme-colors">
 <?php 
  $css="
    body,
    .filter-block li a,
    .search-form-fullscreen input[type='text'],
    .search-form-fullscreen input[type='search'],
    .grid-post ul.post-meta li a i, .grid-post ul.post-meta li span i,
    .standard-post ul.post-meta li a i, .standard-post ul.post-meta li span i,
    .standard-post2 ul.post-meta li a i, .standard-post2 ul.post-meta li span i,
    .card-post ul.post-meta li a i, .card-post ul.post-meta li span i,
    .article-post ul.post-meta li a i, .article-post ul.post-meta li span i,
    .line-post h3 a,
    .contact-form-box .contact-text ul.social-icons li a,
    #contact-form .input-line label,
    .contact-form-box .input-line label,
    #contact-form .input-line input[type='text'],
    #contact-form .input-line input[type='email'],
    .contact-form-box .input-line input[type='text'],
    .contact-form-box .input-line input[type='email'],
    #contact-form textarea,
    .contact-form-box textarea,
    .info-post i,
    .blog-post ul.meta-post-second li,
    .blog-post ul.meta-post-second li a,
    .single-post-box ul.post-meta li a i, .single-post-box ul.post-meta li span i,
    .single-post-box ul.post-tags li a,
    .single-post-box ul.share-post li a,
    .author-box ul.social-author li a,
    .comments-box ul.comments-list li .comment-box a.reply,
    .comments-box ul.comments-list li .comment-box a.comment-reply-link,
    #comment-form .input-line label,
    #respond .input-line label,
    #comment-form .input-line input[type='text'],
    #respond .input-line input[type='text'],
    #comment-form textarea,
    #respond textarea,
    .category-widget ul li a,
    .widget_categories ul li a,
    .tags-widget ul li a,
    .sidebar .tagcloud a,
    .social-widget ul li a,
    .search-widget input[type='text'],
    .widget_search input[type='text'],
    ul.pagination-list li a, ul.pagination-list li span.current,
    .fabriclab-pagination ul.page-numbers li a,
    .fabriclab-pagination ul.page-numbers li span.current,
    .contact-form-box .contact-text ul.social-icons li a,
    #contact-form .input-line label,
    .contact-form-box .input-line label,
    #contact-form .input-line input[type='text'],
    #contact-form .input-line input[type='email'],
    .contact-form-box .input-line input[type='text'],
    .contact-form-box .input-line input[type='email'],
    #contact-form textarea,
    .contact-form-box textarea,
    .info-post i,
    .about-section2 .category-box .category-post span,
    .about-section2 .about-steps .step-post span,
    footer.fullwidth-white .down-part p {
      color: $text_color;
    }
    section.carousel-section,
    section.recent-section,
    section.business-section,
    section.block-section,
    section.tech-section,
    section.fullscreen-section,
    section.contact-section,
    section.single-section,
    .comments-box ul.comments-list li .comment-box a.reply,
    .comments-box ul.comments-list li .comment-box a.comment-reply-link,
    .single-banner-section ul.post-meta,
    section.contact-section,
    section.about-section,
    .about-section2,
    .slider-section,
    section.error-section {
      background-color: $sky_color;
    }
    .card-post img,
    .article-post img {
      border-color: $sky_color;
    }
    .lang-item.current-lang a,
    .aigen_loadmore,
    a.button-one,
    a.button-two:hover,
    section.colour-section,
    .filter-block li.active:before,
    section.page-banner-section,
    header.transparent-header.active .navbar,
    header.skin-header,
    header.skin-header .navbar,
    header.skin-header.active .navbar,
    .standard-post2.skin-post,
    .card-post.skin-post,
    #contact-form input[type='submit'],
    .contact-form-box input[type='submit'],
    .blog-post blockquote,
    .single-post-box .post-content p span.drop-cap,
    .comments-box ul.comments-list li.bypostauthor > .comment-box > .image-holder img,
    .comments-box ul.comments-list li .comment-box a.reply:hover,
    .comments-box ul.comments-list li .comment-box a.comment-reply-link:hover,
    #comment-form input[type='submit'],
    #respond input[type='submit'],
    .single-banner-section ul.post-meta li a i, .single-banner-section ul.post-meta li span i,
    .category-widget ul li a:before,
    .widget_categories ul li a:before,
    ul.pagination-list li a:hover, ul.pagination-list li a.active, ul.pagination-list li span.current:hover, ul.pagination-list li span.current.active,
    .fabriclab-pagination ul.page-numbers li a:hover,
    .fabriclab-pagination ul.page-numbers li a.active,
    .fabriclab-pagination ul.page-numbers li span.current:hover,
    .fabriclab-pagination ul.page-numbers li span.current.active,
    ul.pagination-list li span.current,
    .fabriclab-pagination ul.page-numbers li span.current,
    #contact-form input[type='submit'],
    .contact-form-box input[type='submit'],
    .title-alternative span,
    .statistic-list,
    .about-section2 .highlight-box,
    .about-section2 .category-box .category-post .svg-holder,
    .about-section2 .category-box .category-post .icon-holder,
    section.team-section .team-box .team-post .image-holder,
    section.team-section .team-box .team-post .image-holder ul.team-social li a,
    footer,
    .aigen_loadmore,
    .lang-item.current-lang a {
      background-color: $main_color;
    }
    .filter-block li a:hover,
    .filter-block li.active a,
    .search-form-fullscreen .search-icon,
    .search-form-fullscreen a.close-search:hover,
    .grid-post ul.post-meta li a:hover, .grid-post ul.post-meta li span:hover,
    .standard-post ul.post-meta li a:hover, .standard-post ul.post-meta li span:hover,
    .standard-post2 ul.post-meta li a:hover, .standard-post2 ul.post-meta li span:hover,
    .card-post ul.post-meta li a:hover, .card-post ul.post-meta li span:hover,
    .article-post ul.post-meta li a:hover, .article-post ul.post-meta li span:hover,
    .cmd-post .image-holder a.category-link,
    .blog-post .post-content .text-content ul.meta-post li,
    .blog-post .post-content .text-content ul.meta-post li a,
    section.instagram-section h2 a,
    .single-post-box ul.post-meta li a:hover, .single-post-box ul.post-meta li span:hover,
    .single-post-box .post-content blockquote:after,
    .comments-box ul.comments-list li .comment-box h5 span.time,
    #comment-form h3 a#cancel-comment-reply-link,
    #respond h3 a#cancel-comment-reply-link,
    .single-banner-section ul.post-meta li a:hover, .single-banner-section ul.post-meta li span:hover,
    .search-widget button i,
    .widget_search button i,
    .sidebar .popular-widget ul li .side-content span,
    .about-section2 .category-box .category-post.diff-style .svg-holder i,
    .about-section2 .category-box .category-post.diff-style .icon-holder i,
    .about-section2 .about-steps .step-post .image-holder span.icon,
    footer ul.social-list li a:hover,
    footer .widget-area-part ul.social-icons li a:hover,
    footer .widget-area-part ul.tag-list li a:hover,
    footer .widget-area-part div.tagcloud a:hover, {
      color: $main_color;
    }
    section.carousel-section .owl-controls .owl-buttons div svg,
    section.block-section .block-wrapp .owl-controls .owl-buttons div svg,
    .about-section2 .category-box .category-post.diff-style .svg-holder svg,
    .about-section2 .category-box .category-post.diff-style .icon-holder svg,
    .slider-section.fullscreen-slider .custom-navigation a svg.hover-svg,
    footer.fullwidth-white .down-part p a.go-top svg {
      fill: $main_color;
    }
    ul.sub-menu li a:before,
    .title-wrapper h2:before,
    h2.searchHeadingStyle:before, {
      border: 2px solid $main_color;
    }
    footer.fullwidth-white .down-part p a.go-top {
      border-color: $main_color;
    }
    h2, h3, h4,
    a.read-more,
    .navbar .navbar-nav > li > a,
    ul.sub-menu li a,
    .grid-post h4 a,
    .grid-post ul.post-meta li a, .grid-post ul.post-meta li span,
    .standard-post h4 a,
    .standard-post ul.post-meta li a, .standard-post ul.post-meta li span,
    .standard-post2 h4 a,
    .standard-post2 ul.post-meta li a, .standard-post2 ul.post-meta li span,
    .card-post h4 a,
    .card-post ul.post-meta li a, .card-post ul.post-meta li span,
    .article-post h3 a,
    .article-post ul.post-meta li a, .article-post ul.post-meta li span,
    .cmd-post h4 a,
    .blog-post .post-content .text-content h2 a,
    .single-post-box ul.post-meta li a, .single-post-box ul.post-meta li span,
    .single-banner-section ul.post-meta li a, .single-banner-section ul.post-meta li span,
    .sidebar .popular-widget ul li .side-content h4 a,
    section.error-section a {
      color: $heading_color;
    }
    a.button-one:hover,
    a.button-two,
    .navbar .open-search,
    .contact-form-box .contact-text ul.social-icons li a:hover,
    #contact-form input[type='submit']:hover,
    .contact-form-box input[type='submit']:hover,
    .single-post-box ul.post-tags li a:hover,
    .single-post-box ul.share-post li a:hover,
    .author-box ul.social-author li a:hover,
    #comment-form input[type='submit']:hover,
    #respond input[type='submit']:hover,
    .tags-widget ul li a:hover,
    .sidebar .tagcloud a:hover,
    .social-widget ul li a:hover,
    .contact-form-box .contact-text ul.social-icons li a:hover,
    #contact-form input[type='submit']:hover,
    .contact-form-box input[type='submit']:hover,
    .title-alternative span.red-style,
    section.team-section .team-box .team-post .image-holder ul.team-social li a:hover,
    section.error-section div.title span,
    section.error-section a:hover,
    .aigen_loadmore:hover {
      background-color: $main_color2;
    }
    .navbar .navbar-nav > li > a:hover,
    .navbar .navbar-nav.social-icons > li > a:hover,
    header.skin-header .top-bar i,
    .grid-post h4 a:hover,
    .image-medium-post .hover-box h3 a:hover,
    .white-thumb-post .content-post h3 a:hover,
    .standard-post h4 a:hover,
    .standard-post2.skin-post ul.post-meta li a:hover,
    .standard-post2 h4 a:hover,
    .card-post.skin-post ul.post-meta li a:hover,
    .card-post h4 a:hover,
    .overlay-post2 .hover-box ul.post-meta li a:hover, .overlay-post2 .hover-box ul.post-meta li span:hover,
    .article-post h3 a:hover,
    .cmd-post h4 a:hover,
    .line-post h3 a:hover,
    .blog-post .post-content .text-content h2 a:hover,
    .blog-post .post-content .text-content ul.meta-post li a:hover,
    .blog-post ul.meta-post-second li a:hover,
    .category-widget ul li a:hover,
    .widget_categories ul li a:hover,
    .sidebar .popular-widget ul li .side-content h4 a:hover,
    .slider-section .flexslider .hover-box ul.post-meta li a:hover, .slider-section .flexslider .hover-box ul.post-meta li span:hover {
      color: $main_color2;
    }
    a.read-more:hover {
      border-bottom: 1px solid $main_color2;
    }
    .navbar .navbar-nav > li > a.active,
    .navbar .navbar-nav > li.current_page_item > a {
      border-bottom: 5px solid $main_color2;
    }
    section.carousel-section .owl-controls .owl-buttons div svg.hover-svg,
    section.block-section .block-wrapp .owl-controls .owl-buttons div svg.hover-svg,
    .slider-section .custom-navigation a svg.hover-svg,
    .slider-section.fullscreen-slider .custom-navigation a svg {
      fill: $main_color2;
    }
    ul.sub-menu li a:after,
    .title-wrapper h2:after,
    h2.searchHeadingStyle:after {
      border-color: $main_color2;
    }
    .overlay-post .hover-box,
    .overlay-post2 .hover-box {
      background-color: $trans_color;
    }
    .image-post,
    .image-post2,
    .grid-post img,
    .image-medium-post .image-holder img,
    .image-medium-post .hover-box,
    .white-thumb-post .image-holder img,
    .standard-post img,
    .standard-post2.skin-post > a img,
    .card-post img,
    .overlay-post,
    .overlay-post2,
    .article-post img,
    .cmd-post img,
    .line-post img,
    .single-post-box .post-thumbnail img,
    section.about-section .about-box img,
    .slider-section .flexslider img,
    .slider-section .flexslider .hover-box,
    footer ul.insta-list li a img,
    footer .widget-area-part ul.popular-list li img,
    #sb_instagram .sbi_photo img,
    #sb_instagram .sbi_photo {
      -webkit-border-radius: $image_radius !important;
      -moz-border-radius: $image_radius !important;
      -ms-border-radius: $image_radius !important;
      border-radius: $image_radius !important;
    }
    .grid-post img {
      -webkit-border-radius: $image_radius $image_radius 0 0 !important;
      -moz-border-radius: $image_radius $image_radius 0 0 !important;
      -ms-border-radius: $image_radius $image_radius 0 0 !important;
      border-radius: $image_radius $image_radius 0 0 !important;
    }
    section.team-section .team-box .team-post .image-holder img {
      -webkit-border-top-left-radius: $image_radius !important;
      -moz-border-top-left-radius: $image_radius !important;
      -ms-border-top-left-radius: $image_radius !important;
      border-top-left-radius: $image_radius !important;
      -webkit-border-top-right-radius: $image_radius !important;
      -moz-border-top-right-radius: $image_radius !important;
      -ms-border-top-right-radius: $image_radius !important;
      border-top-right-radius: $image_radius !important;
    }
    a.button-one,
    a.button-two,
    section.block-section .block-wrapp .owl-controls .owl-buttons div,
    .white-box-wrapper,
    .grid-post,
    .standard-post2,
    .card-post.card-padding,
    .article-post,
    .line-post,
    .contact-form-box,
    #contact-form .input-line,
    .contact-form-box .input-line,
    #contact-form textarea,
    .contact-form-box textarea,
    #contact-form input[type='submit'],
    .contact-form-box input[type='submit'],
    #map,
    .info-post,
    .single-post-box,
    .author-box,
    .comments-box,
    .comments-form,
    .single-post-box .post-content p span.drop-cap,
    .single-post-box .post-content blockquote:before,
    .single-post-box .post-content blockquote:after,
    .single-post-box ul.post-tags li a,
    .single-post-box ul.share-post li a,
    .author-box ul.social-author li a,
    .comments-box ul.comments-list li .comment-box a.reply,
    .comments-box ul.comments-list li .comment-box a.comment-reply-link,
    #comment-form .input-line,
    #respond .input-line,
    #comment-form textarea,
    #respond textarea,
    #comment-form input[type='submit'],
    #respond input[type='submit'],
    .sidebar-widget,
    .tags-widget ul li a,
    .sidebar .tagcloud a,
    .search-widget input[type='text'],
    .widget_search input[type='text'],
    .sidebar .popular-widget ul li .side-content span,
    ul.pagination-list li a, ul.pagination-list li span.current,
    .fabriclab-pagination ul.page-numbers li a,
    .fabriclab-pagination ul.page-numbers li span.current,
    section.about-section .about-box,
    .statistic-list,
    .about-section2 .highlight-box,
    .about-section2 .category-box .category-post,
    .about-section2 .about-steps .step-post,
    section.team-section .team-box .team-post,
    .slider-section .flexslider,
    .slider-section .custom-navigation a,
    footer .widget-area-part ul.tag-list li a,
    footer .widget-area-part div.tagcloud a,
    .aigen_loadmore,
    .mc4wp-form-fields input[type='email'],
    .mc4wp-form-fields input[type='submit'] {
      -webkit-border-radius: $box_radius !important;
      -moz-border-radius: $box_radius !important;
      -ms-border-radius: $box_radius !important;
      border-radius: $box_radius !important;
    }
    .standard-post2,
    .single-banner-section ul.post-meta {
      -webkit-border-top-left-radius: $box_radius !important;
      -moz-border-top-left-radius: $box_radius !important;
      -ms-border-top-left-radius: $box_radius !important;
      border-top-left-radius: $box_radius !important;
      -webkit-border-top-right-radius: $box_radius !important;
      -moz-border-top-right-radius: $box_radius !important;
      -ms-border-top-right-radius: $box_radius !important;
      border-top-right-radius: $box_radius !important;
    }
    ul.sub-menu,
    section.team-section .team-box .team-post .image-holder {
      -webkit-border-bottom-left-radius: $box_radius !important;
      -moz-border-bottom-left-radius: $box_radius !important;
      -ms-border-bottom-left-radius: $box_radius !important;
      border-bottom-left-radius: $box_radius !important;
      -webkit-border-bottom-right-radius: $box_radius !important;
      -moz-border-bottom-right-radius: $box_radius !important;
      -ms-border-bottom-right-radius: $box_radius !important;
      border-bottom-right-radius: $box_radius !important;
    }
    ul.sub-menu .sub-menu {
      -webkit-border-top-right-radius: $box_radius !important;
      -moz-border-top-right-radius: $box_radius !important;
      -ms-border-top-right-radius: $box_radius !important;
      border-top-right-radius: $box_radius !important;
    }
  "; 
  if($logo_dimensions){
    $css .="
      .navbar-brand img,
      .mobile-menu .logo-brand img {
        max-width: ".$logo_dimensions['max-width'].";
      }
    ";
  }
  echo do_shortcode($css);
?>
</style>
<?php }
add_action( 'wp_head', 'aigen_colors_css_wrap' );

/*
Register Fonts
*/
function aigen_fonts_url() {
    $font_url = '';
    
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'aigen' ) ) {
      $font_url = add_query_arg( 'family', urlencode( 'Rubik:300,400,500,600,700|Play|Quando' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}


/*
Enqueue scripts and styles.
*/
function aigen_font_scripts() {
  
    wp_enqueue_style( 'aigen-fonts', aigen_fonts_url(), array(), '1.0.0' );
    
}

add_action( 'wp_enqueue_scripts', 'aigen_font_scripts' );

