<?php

get_header();
?>
        
        <?php $image = get_theme_mod( 'image_setting_url', '' ); ?>
        <?php $archiveDesc = get_theme_mod( 'archive_description', '' ); 
        
        
        if (is_author()) {

        } else { ?>
            <!-- page-banner-section 
			================================================== -->
            <section class="page-banner-section" style="background-image: url('<?php echo esc_url( $image ); ?>')">
                <div class="container">
                    <h2><?php 
                            if ( is_category() ) {    
                                single_term_title();
                            } elseif ( is_tag() ) {    
                                single_term_title();
                            } elseif ( is_author() ) {    
                                the_archive_title();  
                            } elseif ( is_tax() ) {
                                single_term_title();
                            } elseif (is_post_type_archive()) {
                                the_archive_title();
                            } else {
                                the_archive_title();
                            }
                        ?>
                    </h2>
                    <p><?php echo esc_html( $archiveDesc ); ?></p>
                </div>
            </section>
            <!-- End page-banner section -->
        <?php } ?>


		<!-- recent-section 
			================================================== -->
		<section class="recent-section">
            <div class="container">
                <div class="row">
                    <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-8">
                    <?php }else{ ?>
                    <div class="col-lg-12 no-sidebar">
                    <?php } 

                        if( is_tag() ) { ?>
                            <div class="latest-box col1">
                                <?php 
                                if(have_posts()) :
                                    while(have_posts()) : the_post(); ?>

                                        <div class="item">
                                            <?php
                                                get_template_part( 'template-parts/post-layouts/card-post' );
                                            ?>
                                        </div>
                                        
                                    <?php endwhile; ?>
                                <?php endif; ?>

                            </div>

                            <?php fabric_paging_navigation($wp_query); ?>

                        <?php } elseif ( is_category() ) { ?>
                            <div class="latest-box col1">
                                <?php 
                                if(have_posts()) :
                                    while(have_posts()) : the_post(); ?>

                                        <div class="item">
                                            <?php
                                                get_template_part( 'template-parts/post-layouts/article-post2' );
                                            ?>
                                        </div>
                                        
                                    <?php endwhile; ?>
                                <?php endif; ?>

                            </div>
                            
                            <?php fabric_paging_navigation($wp_query); ?>

                        <?php } elseif ( is_author() ) { ?>
                            <h2 class="searchHeadingStyle">
                                <?php echo esc_html_e('Posts by: ', 'aigen') . get_the_author_meta('display_name'); ?>
                            </h2>
                            <div class="recent-box iso-call col2">
                                <?php 
                                if(have_posts()) :
                                    while(have_posts()) : the_post(); ?>

                                        <div class="item">
                                            <?php
                                                get_template_part( 'template-parts/post-layouts/standard-post' );
                                            ?>
                                        </div>
                                        
                                    <?php endwhile; ?>
                                <?php endif; ?>

                            </div>
                            
                            <?php fabric_paging_navigation($wp_query); ?>

                        <?php } else { ?>
                            <div class="recent-box iso-call col2">
                                <?php 
                                    if(have_posts()) :
                                        while(have_posts()) : the_post(); ?>

                                            <div class="item">
                                                <?php
                                                    get_template_part( 'template-parts/post-layouts/grid-post' );
                                                ?>
                                            </div>
                                        
                                        <?php endwhile; ?>
                                    <?php endif;
                                ?>

                            </div>

                            <?php fabric_paging_navigation($wp_query); ?>

                        <?php } ?>
                    </div>

                    <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-4">
                        
                        <?php get_sidebar(); ?>

                    </div>
                    <?php } ?>
                </div>
            </div>
		</section>
        <!-- End recent section -->
        
        
<?php
get_footer();