<?php 

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');
$linkedin = get_theme_mod('linkedin');
$instagram = get_theme_mod('instagram');
$google = get_theme_mod('google');
$youtube = get_theme_mod('youtube');
$pinterest = get_theme_mod('pinterest');
$dribble = get_theme_mod('dribble');
$github = get_theme_mod('github');

?>


                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>

                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <?php 
                                wp_nav_menu(array(
                                    'theme_location' => 'primary',
                                    'menu'            => '',
                                    'container'       => '',
                                    'container_class' => '',
                                    'container_id'    => '',
                                    'menu_class' => 'navbar-nav ml-auto',
                                    'depth'           => 0
                                ));
                            ?>
                        </div>
                        <div class="collapse navbar-collapse">
                            
                            <?php if ( true == get_theme_mod( 'switch_header_socials' ) ) : ?>
                            <ul class="navbar-nav ml-auto social-icons">

                                <?php

                                    if ($facebook != '') { ?>
                                        <li><a href="<?php echo $facebook; ?>"><i class="fab fa-facebook-f"></i></a></li>
                                    <?php }

                                    if ($twitter != '') { ?>
                                        <li><a href="<?php echo $twitter; ?>"><i class="fab fa-twitter"></i></a></li>
                                    <?php }

                                    if ($instagram != '') { ?>
                                        <li><a href="<?php echo $instagram; ?>"><i class="fab fa-instagram"></i></a></li>
                                    <?php } 

                                    if ($linkedin != '') { ?>
                                        <li><a href="<?php echo $linkedin; ?>"><i class="fab fa-linkedin-in"></i></a></li>
                                    <?php }

                                    if ($google != '') { ?>
                                        <li><a href="<?php echo $google; ?>"><i class="fab fa-google-plus-g"></i></a></li>
                                    <?php }

                                    if ($youtube != '') { ?>
                                        <li><a href="<?php echo $youtube; ?>"><i class="fab fa-youtube"></i></a></li>
                                    <?php }

                                    if ($pinterest != '') { ?>
                                        <li><a href="<?php echo $pinterest; ?>"><i class="fab fa-pinterest-p"></i></a></li>
                                    <?php }

                                    if ($dribble != '') { ?>
                                        <li><a href="<?php echo $dribble; ?>"><i class="fab fa-dribbble"></i></a></li>
                                    <?php }

                                    if ($github != '') { ?>
                                        <li><a href="<?php echo $github; ?>"><i class="fab fa-github"></i></a></li>
                                    <?php }

                                ?>

                            </ul>
                            <?php endif; ?>
                        </div>

                        <a href="#" class="open-search"><i class="fas fa-search"></i></a>

                    </div>
                </nav>

                <?php get_template_part( 'template-parts/header/mobile-menu' ); ?>
 
            </header>
            <!-- End Header -->
            
            <?php get_template_part( 'template-parts/header/search-form' ); ?>