
            <!-- Header
		        ================================================== -->
            <header>
 
                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <div class="container">

                        <?php $custom_logo = get_post_meta($wp_query->get_queried_object_id(), '_aigen_custom_logo', true) ?>

                        <?php 
                            $custom_logo_id = get_theme_mod( 'custom_logo' );
                        ?>

                        <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo('name'); ?>">
                            <?php if($custom_logo!=''){ ?>
                                <img src="<?php echo esc_url($custom_logo); ?>" alt="<?php bloginfo('name'); ?>">
                            <?php }elseif($custom_logo_id!=''){ ?>
                                <?php $image = wp_get_attachment_image_src( $custom_logo_id , 'full' ); ?>
                                <img src="<?php echo esc_url($image[0]); ?>" alt="<?php bloginfo('name'); ?>" />
                            <?php }else{  ?>
                                <?php bloginfo('name'); ?>
                            <?php } ?>
                        </a>

                        <?php get_template_part( 'template-parts/header/header-template' );