
           <!-- Header
		    ================================================== -->
            <header class="skin-header">

                <?php
                    $emailTop = get_theme_mod( 'mail_topbar' );
                ?>
                <?php if ( true == get_theme_mod( 'switch_topbar' ) ) : ?>
                <div class="top-bar">
                    <div class="container">
                        <div class="info-box">
                            <?php if($emailTop) { ?>
                            <p>
                                <i class="far fa-envelope"></i>
                                <?php echo esc_html($emailTop); ?>
                            </p>
                            <?php } ?>
                        </div>
                        <div class="list-box">
                            <?php 
                                $navList = get_theme_mod( 'navs_setting' );
                                if ($navList && true == get_theme_mod('navs_setting', true)) {
                            ?>
                            <ul class="list-bar">
                                <?php foreach( $navList as $itemList ) : ?>
                                    <li><a href="<?php echo get_category_link($itemList['nav_item']); ?>">
                                        <i class="fa <?php echo $itemList['nav_icon']; ?>"></i>
                                        <?php 
                                            $category = get_category( $itemList['nav_item'] );
                                            echo $category->name; 
                                        
                                        ?>
                                    </a></li>
                                <?php endforeach; ?>

                                <?php if ( true == get_theme_mod( 'switch_flags' ) ) : ?>
                                <li>
                                    <ul><?php 
                                        pll_the_languages([
                                            'show_names' => 0,
                                            'show_flags' => 1,
                                        ]);
                                    ?></ul>
                                </li>
                                <?php endif; ?>

                            </ul>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <div class="container">

                        <?php $custom_logo = get_theme_mod( 'aigen_logo_white' ); ?>

                        <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo('name'); ?>">
                            <?php if($custom_logo!=''){ ?>
                                <img src="<?php echo esc_url($custom_logo); ?>" alt="<?php bloginfo('name'); ?>">
                            <?php }else{  ?>
                                <?php bloginfo('name'); ?>
                            <?php } ?>
                        </a>
                    
                    <?php get_template_part( 'template-parts/header/header-template' );