
<?php
    if(function_exists('pll_current_language')){

        $current_language = pll_current_language();
        $default_language = pll_default_language();

        if($current_language != $default_language){
            $language_subdir = $current_language.'/';
        } else {
            $language_subdir = '';
        }
    }
?>

<form  action="<?php echo esc_url(home_url('/' . $language_subdir )); ?>" method="get" class="search-bar-form">
    <div class="inner-form-box">
        <div class="search-input-line">
            <input type="search" name="s" class="search-field" placeholder="<?php esc_attr_e( 'Search on page', 'aigen' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>"/>
            <span class="material-icons">
                search
            </span>
        </div>
        <input type="submit" id="submit_search" class="aigen-button search-submit" value="<?php esc_attr_e( 'Search', 'aigen' ); ?>" />
    </div>
</form>