                                <div class="post-content">
                                    <?php 
                                        the_content(); 
                                        wp_link_pages();
                                    ?>
                                </div>

                                <?php
                                    $tags = get_the_tags();
                                    if ( $tags ) : ?>
                                    <ul class="post-tags"> <?php
                                        foreach ( $tags as $tag ) : ?>
                                            <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>" title="<?php echo esc_attr( $tag->name ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>
                                        <?php endforeach; ?>
                                    </ul>
                                <?php endif; ?>

                                <ul class="share-post">
                                    <li>
                                        <a href="https://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>" target="_blank">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="http://twitter.com/share?url=<?php the_permalink(); ?>" target="_blank">
                                            <i class="fab fa-twitter"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>" target="_blank">
                                            <i class="fab fa-linkedin-in"></i>
                                        </a>
                                    </li>
                                </ul>
                            </div>

                            <?php
                                $user_info = get_userdata(1);
						        if (!empty (get_the_author_meta( 'description' ))) { ?>
                                    <div class="author-box">
                                        <div class="image-holder">
                                            <?php echo get_avatar( get_the_author_meta( 'ID' ), 240 ); ?>
                                        </div>
                                        <div class="author-content">
                                            <h4>
                                                <?php esc_html_e('About', 'aigen'); ?>
                                                <?php echo get_the_author_meta( 'first_name' ) . ' ' . get_the_author_meta( 'last_name' ); ?>
                                            </h4>
                                            <p><?php the_author_meta('description'); ?></p>
                                            <ul class="social-author">

                                                <?php
                                                    $facebook = get_user_meta( get_the_author_meta( 'ID' ), "_aigen_facebook_link", true);
                                                    $twitter = get_user_meta( get_the_author_meta( 'ID' ), "_aigen_twitter_link", true);
                                                    $linkedin = get_user_meta( get_the_author_meta( 'ID' ), "_aigen_linkedin_link", true);
                                                    $pinterest = get_user_meta( get_the_author_meta( 'ID' ), "_aigen_pinterest_link", true);
                                                    $instagram = get_user_meta( get_the_author_meta( 'ID' ), "_aigen_instagram_link", true);
                                                ?>
                                                <?php 
                                                    
                                                    if( !empty($facebook) ) { ?>
                                                        <li><a href="<?php echo $facebook; ?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
                                                    <?php }

                                                    if( !empty($twitter) ) { ?>
                                                        <li><a href="<?php echo $twitter; ?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                                    <?php }

                                                    if( !empty($linkedin) ) { ?>
                                                        <li><a href="<?php echo $linkedin; ?>" target="_blank"><i class="fab fa-linkedin-in"></i></a></li>
                                                    <?php }

                                                    if( !empty($pinterest) ) { ?>
                                                        <li><a href="<?php echo $pinterest; ?>" target="_blank"><i class="fab fa-pinterest-p"></i></a></li>
                                                    <?php }

                                                    if( !empty($instagram) ) { ?>
                                                        <li><a href="<?php echo $instagram; ?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
                                                    <?php }

                                                ?>
                        
                                            </ul>
                                        </div>
                                    </div>
                                <?php }
                            ?>
                            
                            <?php if ( comments_open() || get_comments_number() ) {  ?>
                                <?php comments_template(); ?>   
                            <?php } ?>

                        </div>
                    </div>
                    <?php if(is_active_sidebar('sidebar')){ ?>
                        <div class="col-lg-4">
                            
                            <?php get_sidebar(); ?>

                        </div>
                    <?php } ?>
                </div>
            </div>
		</section>
		<!-- End single section -->