        <!-- single-section 
			================================================== -->
        <section class="single-section">
            <div class="container">
                <div class="row">
                    <?php if(is_active_sidebar('sidebar')){ ?>
                        <div class="col-lg-8">
                    <?php }else{ ?>
                        <div class="col-lg-12 no-sidebar">
                    <?php } ?>
                        <div class="single-box">

                            <div class="single-post-box">
                                
                                <ul class="post-meta">
                                    <li><a href="<?php echo get_comments_link(); ?>">
                                        <i class="fas fa-comment-dots"></i>
                                        <?php 
                                            comments_number( 
                                                esc_html__('0 Comments','aigen'),
                                                esc_html__('1 Comment','aigen'),
                                                esc_html__('% Comments','aigen'), '', 
                                                esc_html__('Comment off','aigen')
                                            ); 
                                        ?>
                                    </a></li>
                                    <li>
                                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"
                                            title="<?php echo esc_attr( get_the_author() ); ?>">
                                            <i class="far fa-user"></i>
                                            <?php the_author(); ?>
                                        </a>
                                    </li>
                                </ul>

                                <h3><?php the_title(); ?></h3>
                                
                                <div class="post-thumbnail">
                                    <?php the_post_thumbnail(); ?>
                                </div>